Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow.context.portlet
Class InitParameterMap

    java.lang.Object
      org.springframework.binding.collection.StringKeyedMapAdapter
          org.springframework.faces.webflow.context.portlet.InitParameterMap

All Implemented Interfaces:
  java.util.Map

    public class InitParameterMap

extends StringKeyedMapAdapter

Map backed by a PortletContext for accessing Portlet initialization parameters.

Since:
  2.2.0
Author:
  Rossen Stoyanchev

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`InitParameterMap(javax.portlet.PortletContext portletContext)`

Method Summary
`protected java.lang.String` | `getAttribute(java.lang.String key)` Hook method that needs to be implemented by concrete subclasses.
`protected java.util.Iterator<java.lang.String>` | `getAttributeNames()` Hook method that needs to be implemented by concrete subclasses.
`protected void` | `removeAttribute(java.lang.String key)` Hook method that needs to be implemented by concrete subclasses.
`protected void` | `setAttribute(java.lang.String key, java.lang.Object value)` Hook method that needs to be implemented by concrete subclasses.

Methods inherited from class org.springframework.binding.collection.StringKeyedMapAdapter
`clear, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### InitParameterMap

    public InitParameterMap(javax.portlet.PortletContext portletContext)

Method Detail

### getAttribute

    protected java.lang.String getAttribute(java.lang.String key)

  Description copied from class: `StringKeyedMapAdapter`
  Hook method that needs to be implemented by concrete subclasses. Gets a value associated with a key.

  Specified by:
    `getAttribute` in class `StringKeyedMapAdapter`
  Parameters:
    `key` - the key to lookup
  Returns:
    the associated value, or null if none

### setAttribute

    protected void setAttribute(java.lang.String key,
                                java.lang.Object value)

  Description copied from class: `StringKeyedMapAdapter`
  Hook method that needs to be implemented by concrete subclasses. Puts a key-value pair in the map, overwriting any possible earlier value associated with the same key.

  Specified by:
    `setAttribute` in class `StringKeyedMapAdapter`
  Parameters:
    `key` - the key to associate the value with
    `value` - the value to associate with the key

### removeAttribute

    protected void removeAttribute(java.lang.String key)

  Description copied from class: `StringKeyedMapAdapter`
  Hook method that needs to be implemented by concrete subclasses. Removes a key and its associated value from the map.

  Specified by:
    `removeAttribute` in class `StringKeyedMapAdapter`
  Parameters:
    `key` - the key to remove

### getAttributeNames

    protected java.util.Iterator<java.lang.String> getAttributeNames()

  Description copied from class: `StringKeyedMapAdapter`
  Hook method that needs to be implemented by concrete subclasses. Returns an enumeration listing all keys known to the map.

  Specified by:
    `getAttributeNames` in class `StringKeyedMapAdapter`
  Returns:
    the key enumeration

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD